<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################

if (!isset($user)) {header('Location: /?mod=user&act=login');} //Переадресация гостей

$act_name = 'Моё меню'; //Имя действия
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$act_name.'</div>'; //Вывод заголовка

echo'<form action="" method="post">';
# Определение темы по умолчанию

echo 'Тема (по умолчанию):<br /><select name="web">';
$opendirthem = opendir(ROOT.'/design/');
while ($themes = readdir($opendirthem)){
// пропускаем корневые папки и файлы
if ($themes=='.' || $themes=='..' || !is_dir(ROOT."/design/$themes"))continue;
if(!file_get_contents(ROOT.'/design/'.$themes.'/name.txt')){
echo '<option value="'. $themes .'"'. (STYLE == $themes?' selected="selected"':NULL) .'>'. $themes .'</option>';
}else{
echo '<option value="'. $themes .'"'. (STYLE == $themes?' selected="selected"':NULL) .'>'. trim(file_get_contents(ROOT.'/design/'.$themes.'/name.txt')) .'</option>';
}
}
closedir($opendirthem);
echo '</select><br />';
echo'<input type="submit" name="" value="Change"/>';
echo'</form>';

echo'<div class="category">Avatar</div>';
echo'<form action="" method="post">';
echo avatar($usdata['id'],'64|64').'<br/>';
echo'Browse avatar:<br/>';
echo'<input type="file" name="" value=""/><br/>';
echo'<input type="submit" name="" value="Change"/>';
echo'</form>';

echo'<div class="category">Password</div>';
echo'<form action="" method="post">';
echo'Old password:<br/>';
echo'<input type="text" name="" value=""/><br/>';
echo'New password:<br/>';
echo'<input type="text" name="" value=""/><br/>';
echo'Confirm new password:<br/>';
echo'<input type="text" name="" value=""/><br/>';
echo'<input type="submit" name="" value="Change"/>';
echo'</form>';
//Ссылки
echo '<a class="touch" href="/?mod=system">'.icons('return.png','16|16').' Админ-панель</a>';

require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
?>